// This is called BEFORE your Elm app starts up
// 
// The value returned here will be passed as flags 
// into your `Shared.init` function.
export const flags = ({ env }) => {
    return {
        height: window.innerHeight,
        width: window.innerWidth
    }
}

// This is called AFTER your Elm app starts up
//
// Here you can work with `app.ports` to send messages
// to your Elm application, or subscribe to incoming
// messages from Elm
export const onReady = ({ app, env }) => {
    app.ports.getArgHeight.subscribe(() => {
        
        setTimeout(() => {
            const element = document.getElementById('arg1');

        if (element) {
            const height = element.offsetHeight;
            console.log(`Height of the element: ${height}px`);
        } else {
            console.error('Element not found.');
        }       
        }, 0)
    })}